import logging
from logging import Logger
import sys

from config import LoggingConfig


class LoggerGetter:
    def __init__(self, config: LoggingConfig) -> None:
        self._logger = logging.getLogger("discord")
        self._logger.setLevel(config.level)
        handler = logging.StreamHandler(sys.stdout)
        handler.setFormatter(
            logging.Formatter("%(asctime)s:%(levelname)s:%(name)s: %(message)s")
        )
        self._logger.addHandler(handler)

    def __call__(self) -> Logger:
        return self._logger
